Skip to main content
GET
Retrieve a previous version of a website page

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://app.hubspot.com/oauth/authorize
Token URL
https://api.hubapi.com/oauth/v1/token
Scopes1
content

Path Parameters

objectId
string
required

The unique identifier of the site page whose revision is to be retrieved.

revisionId
string
required

The unique identifier of the specific revision of the site page to retrieve.

Response

successful operation

id
string
required

The unique identifier for this specific version of the page.

object
object
required
updatedAt
string<date-time>
required

The date and time when this version was last updated, in ISO 8601 format.

user
object
required
Last modified on September 9, 2026